Bug 15942 - Buggy support of Oracle Schemas
Buggy support of Oracle Schemas
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
All All
: P2 (vote)
: TBD
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-26 19:32 UTC by cberger
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cberger 2001-09-26 19:32:44 UTC
The problem appear when connecting to an oracle database under
a username (say "SYSTEM") but browsing/viewing another schema
(say "NAVIG" in my specific situation). Selecting a different schema
is done through the "Advenced" pane of the "New Connection" dialog.

Browsing the schema with the tree explorer works fine, but everything
fails when trying to view table content, or such.
What's appening is that THE SQL CODE GENERATED IS WRONG.

In my case, I've a table called DEVICE into the NAVIG schema.
I'm connected as the SYSTEM user. if I'm trying to see the content
of the NAVIG table (right-clicking the node), netbeans generate
the following request:

   select <column list> from DEVICE

which is wrong because oracle will look at the DEVICE table into
the SYSTEM schema instead of the NAVIG schema. netbeans should
generate a "fully qualified" table specification in this case:

   select <column list> from NAVIG.DEVICE

which then yields the correct results.

Thanks,
Cedric
Comment 1 Radko Najman 2001-10-09 09:39:55 UTC
Fixed. 'from' clause uses fully qualified name now.
Comment 2 David Kaspar 2002-11-18 13:32:15 UTC
Verified in main trunk
Comment 3 Quality Engineering 2003-06-30 17:17:41 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo